package com.eactive.eai.adapter.socket2.protocol.append;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import com.eactive.eai.adapter.socket2.protocol.TcpAdapterClient;
import com.eactive.eai.adapter.socket2.protocol.append.codec.AppendCodecFactory;
import org.apache.mina.filter.codec.ProtocolCodecFilter;


public class AppendClient extends TcpAdapterClient {

	public AppendClient(SocketAdapterContext context) throws Exception {
		super(context);

		this.handler = new AppendHandler(this);
		
		config.getFilterChain().addFirst("codec", new ProtocolCodecFilter(new AppendCodecFactory(this)));
	}
}
